# QPolygon Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPolygon()
- void QPolygon(QPolygon a)
- void QPolygon(QRect r, bool closed)
- void QPolygon(List v)
- void QPolygon(int size)

### Constructor Properties

- prototype: The QPolygon prototype object
- List fromList(List list)

### Prototype Object Properties

- void append(QPoint t)
- QPoint at(int i)
- QRect boundingRect()
- int capacity()
- void clear()
- bool contains(QPoint t)
- bool containsPoint(QPoint pt, FillRule fillRule)
- int count()
- bool empty()
- bool endsWith(QPoint t)
- List fill(QPoint t, int size)
- QPoint first()
- int indexOf(QPoint t, int from)
- QPolygon intersected(QPolygon r)
- bool isEmpty()
- bool isSharedWith(List other)
- QPoint last()
- int lastIndexOf(QPoint t, int from)
- List mid(int pos, int length)
- bool operator_equal(List v)
- void pop_back()
- void pop_front()
- void prepend(QPoint t)
- void push_back(QPoint t)
- void push_front(QPoint t)
- void readFrom(QDataStream stream)
- void remove(int i)
- void replace(int i, QPoint t)
- void reserve(int size)
- void resize(int size)
- void setSharable(bool sharable)
- int size()
- void squeeze()
- bool startsWith(QPoint t)
- QPolygon subtracted(QPolygon r)
- void swap(QPolygon other)
- List toList()
- void translate(QPoint offset)
- QPolygon translated(QPoint offset)
- QPolygon united(QPolygon r)
- QPoint value(int i)
- void writeTo(QDataStream stream)

### Instance Properties

QPolygon objects have no special properties beyond those inherited from the QPolygon prototype object.